package com.github.wxiaoqi.security.admin.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author libin
 * @version 1.0
 * @description
 * @data 2019/7/17 20:40
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class WalletCathListDTO {

    private Long id;

    private String username;

    private String nickname;

    private String realname;

    private String phone;

    @ApiModelProperty(value = "提现类别，第三方提现类别(0-微信，1-支付宝，2-银行卡)")
    private Integer cathType;

    @ApiModelProperty(value = "提现金额")
    private BigDecimal amount;


    @ApiModelProperty(value = "订单状态：0-未提现,待审核，1-已审核")
    private Integer stauts;


    @ApiModelProperty(value = "提现日期", hidden = true )
    private Long crtTime;

    @ApiModelProperty(value = "审核日期")
    private Long finishTime;

    @ApiModelProperty("第三方单号")
    private String cono;

    @ApiModelProperty("提现单号")
    private String orderNo;

    @ApiModelProperty(value = "")
    private String accountNumber;

    private String accountName;

    @ApiModelProperty(value = "线下提现方式 1:自动 2:手动")
    private Integer offlineWay;
}
